Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class ExcludeListTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.ExcludeListTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ExcludeListType<T>

    public class ExcludeListTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ExcludeListType<T>

This class implements the `exclude-listType` xsd type

Original Documentation:

The exclude-listType specifies one or more methods which
the Assembler marks to be uncallable.
If the method permission relation contains methods that are
in the exclude list, the Deployer should consider those
methods to be uncallable.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ExcludeListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ExcludeListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<MethodType<ExcludeListType<T>>>` | `getMethodList()` Returns all `method` elements
`MethodType<ExcludeListType<T>>` | `method()` Returns the `method` element
`ExcludeListType<T>` | `removeAllDescription()` Removes the `description` element
`ExcludeListType<T>` | `removeAllMethod()` Removes all `method` elements
`ExcludeListType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ExcludeListType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcludeListTypeImpl

    public ExcludeListTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### ExcludeListTypeImpl

    public ExcludeListTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ExcludeListType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ExcludeListType<T>`
  Returns:
    the current instance of `ExcludeListType`

### setDescriptionList

    public ExcludeListType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ExcludeListType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ExcludeListType`

### removeAllDescription

    public ExcludeListType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ExcludeListType<T>`
  Returns:
    the current instance of `ExcludeListType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ExcludeListType<T>`
  Returns:
    list of `description`

### removeAllMethod

    public ExcludeListType<T> removeAllMethod()

  Removes all `method` elements

  Specified by:
    `removeAllMethod` in interface `ExcludeListType<T>`
  Returns:
    the current instance of `ExcludeListType`

### method

    public MethodType<ExcludeListType<T>> method()

  Returns the `method` element

  Specified by:
    `method` in interface `ExcludeListType<T>`
  Returns:
    the node defined for the element `method`

### getMethodList

    public java.util.List<MethodType<ExcludeListType<T>>> getMethodList()

  Returns all `method` elements

  Specified by:
    `getMethodList` in interface `ExcludeListType<T>`
  Returns:
    list of `method`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD